### Signal

# WebKit UserContentManager::script-message-received

since: 2.8

#### Declaration

    void
    script_message_received (
      WebKitUserContentManager* self,
      JSCValue* value,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when JavaScript in a web view calls `window.webkit.messageHandlers..postMessage()`, after registering `` using webkit_user_content_manager_register_script_message_handler().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 2.8

#### Parameters

`value`

  Type: `JSCValue`

  The value received from the JavaScript world.

  The data is owned by the caller of the function.